<template>
  <div class="header min-width">
    <div class="menu-content flex sizing flex-center">
      <div class="left-content common">
        <p>Vue News Search & bookmarks</p>
      </div>
      <div class="right-menu common flex">
        <nav><router-link to="/"> News</router-link></nav>
        <nav><router-link to="/bookmarks">Bookmarks</router-link></nav>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  name: "AppHeader",
};
</script>

<style scoped>
.header {
  background-color: #343a40;
  padding: 0 8rem 0 8rem;
  color: white;
  height: 55px;
}

.menu-content {
  height: 100%;
  font-size: 20px;
}

.right-menu {
  column-gap: 1rem;
}

.right-menu a {
  text-decoration: none;
  color: gray;
}

.right-menu a.router-link-exact-active {
  color: white;
}
</style>
